version: '3.5'

volumes:
  task-manager-db:

services:
  mysql:
    container_name: task-manager-mysql
    hostname: task-manager-mysql
    image: mysql:5.7.27
    volumes:
      - task-manager-db:/var/lib/mysql
      - ./init/:/docker-entrypoint-initdb.d
    environment:
      MYSQL_ROOT_PASSWORD: testpwd
      MYSQL_DATABASE: taskmanager
    ports:
      - 3306:3306